Subject: [bug#43096] [PATCH] gnu: emacs-erc-status-sidebar: Update to 0.1-2.b589b742.

From: Brett Gilio <[email-masked]>
Date: Fri, 28 Aug 2020 20:58:08 -0500

Tobias Geerinckx-Rice <[email-masked]> writes:

> Brett Gilio 写道：
>>> -      (license license:expat))))
>>> +      (license license:gpl3+))))
>>>   (define-public emacs-shut-up
>>>    (package
>>
>> I might be mistaken, but I think the license change belongs in a
>> separate patch.
>
> Not if the licence actually changed between versions.
>
> If it's correcting a previously incorrect licence in Guix, then indeed
> it does.
>
> Kind regards,
>
> T G-R

It's kind of a weird case where it is both? The LICENSE file has always
been GPL3, but the code header erroneously stated it as expat-style.

https://github.com/drewbarbs/erc-status-sidebar/commit/b589b74245591257c9e666bd5cd25812e04b7a34

I kind of lean on the side of a separate patch since the license never
really changed, but was an error both upstream and on our end as well.

Brett Gilio